<?php

namespace FiloBlu\Flow\Console\Command;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Magento\Framework\Module\ModuleListInterface;


class ParseCommand extends Command
{

    public function __construct(\FiloBlu\Flow\Cron\Fetch $cronModel)
    {
        $this->cronModel = $cronModel;
        parent::__construct();
    }

    protected function configure()
    {
        $this->setName('flow:parse')->setDescription('Parse data channels');
    }

    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->cronModel->parse();
        $output->writeln('<info>Parsed executed !</info>');
    }

}